| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
uhd::gps_ctrl Class Referenceabstract

`#include <uhd/usrp/gps_ctrl.hpp>`

Inheritance diagram for uhd::gps_ctrl:

## Public Types
typedef std::shared_ptr< gps_ctrl > | sptr

## Public Member Functions
virtual | ~gps_ctrl (void)=0
virtual std::vector< std::string > | get_sensors (void)=0
virtual uhd::sensor_value_t | get_sensor (std::string key)=0
virtual bool | gps_detected (void)=0

## Static Public Member Functions
static sptr | make (uart_iface::sptr uart)

## Member Typedef Documentation

## ◆ sptr

typedef std::shared_ptr<gps_ctrl> uhd::gps_ctrl::sptr

## Constructor & Destructor Documentation

## ◆ ~gps_ctrl()

virtual uhd::gps_ctrl::~gps_ctrl | ( | void |  | ) |
| pure virtual

## Member Function Documentation

## ◆ get_sensor()

virtual uhd::sensor_value_t uhd::gps_ctrl::get_sensor | ( | std::string | key | ) |
| pure virtual

Retrieve the named sensor

## ◆ get_sensors()

virtual std::vector< std::string > uhd::gps_ctrl::get_sensors | ( | void |  | ) |
| pure virtual

Retrieve the list of sensors this GPS object provides

## ◆ gps_detected()

virtual bool uhd::gps_ctrl::gps_detected | ( | void |  | ) |
| pure virtual

Tell you if there's a supported GPS connected or not

Returns
  true if a supported GPS is connected

## ◆ make()

static sptr uhd::gps_ctrl::make | ( | uart_iface::sptr | uart | ) |
| static

Make a GPS config for internal GPSDOs or generic NMEA GPS devices

The documentation for this class was generated from the following file:

- gps_ctrl.hpp